' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

Imports System.Diagnostics
Imports System.ComponentModel.Composition
Imports Microsoft.LightSwitch.Model
Imports System.Reflection
Imports System.IO
Imports System.Resources

<DebuggerNonUserCodeAttribute()> _
<Export(GetType(IModuleDefinitionLoader))> _
<ModuleDefinitionLoader(BingMapControlModule.Name)> _
Public Class BingMapControlModuleLoader
    Implements IModuleDefinitionLoader

    Private Shared ModelFragments As String() = {"BingMapControlModule.lsml", "BingMapControlPresentation.lsml"}
    Private Shared ResourceNamespace As String = GetType(BingMapControlModuleLoader).[Namespace]

    Private Const ResourcePathFormat As String = "{0}.{1}"


    Private Function LoadModelFragments() As IEnumerable(Of Stream) Implements IModuleDefinitionLoader.LoadModelFragments
        Dim assem As Assembly = Assembly.GetExecutingAssembly()
        Dim fragmentList As List(Of Stream) = New List(Of Stream)()

        For Each fragment As String In ModelFragments
            Dim fragmentPath As String = String.Format(ResourcePathFormat, ResourceNamespace, fragment)

            Dim fragmentStream As Stream = assem.GetManifestResourceStream(fragmentPath)
            Debug.Assert(fragmentStream IsNot Nothing, "Could not obtain fragment stream.", "Looking for {0}", fragmentPath)

            fragmentList.Add(fragmentStream)
        Next

        Return fragmentList
    End Function

    Private Function GetModelResourceManager() As ResourceManager Implements IModuleDefinitionLoader.GetModelResourceManager
        Return My.Resources.BingMapControlResources.ResourceManager()
    End Function



End Class