' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

Imports System.ComponentModel.Composition
Imports Microsoft.LightSwitch.BaseServices.ResourceService
Imports System.Windows
Imports System.Globalization

<Export(GetType(IResourceProvider))> _
<ResourceProvider("BingMapImages")> _
Public Class BingMapImageProvider
    Implements IResourceProvider

    Shared Sub New()
        Dim resourceUri As New Uri("pack://application:,,/BingMapControl.Design;component/Resources/BingMapImages.xaml")
        Resources = New ResourceDictionary()
        Resources.Source = resourceUri
    End Sub

    Public Function GetResource(ByVal resourceId As String, ByVal cultureInfo As CultureInfo) As Object Implements IResourceProvider.GetResource
        If Not BingMapImageProvider.Resources.Contains(resourceId) Then
            Return Nothing
        Else
            Return BingMapImageProvider.Resources(resourceId)
        End If
    End Function

    Private Shared m_Resources As ResourceDictionary
    Private Shared Property Resources() As ResourceDictionary
        Get
            Return m_Resources
        End Get
        Set(ByVal value As ResourceDictionary)
            m_Resources = value
        End Set
    End Property
End Class