' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

Imports System.ComponentModel.DataAnnotations
Imports System.ComponentModel

Public Class Product

    <Key()> _
    <[ReadOnly](True)> _
    <Display(Name:="Product ID")> _
    <ScaffoldColumn(False)> _
    Public Property ProductID As Guid

    <Required()> _
    <Display(Name:="Product Name")> _
    Public Property ProductName As String

    <Required()> _
    <Display(Name:="Category ID")> _
    Public Property CategoryID As Guid

    <StringLength(255)> _
    <Display(Name:="Quantity Per Unit")> _
    Public Property QuantityPerUnit As String

    <Display(Name:="Unit Price")> _
    <Range(0, Decimal.MaxValue, ErrorMessage:="A price greater than zero must be specified.")> _
    Public Property UnitPrice As Decimal

    <Display(Name:="Units In Stock")> _
    <Range(0, Int32.MaxValue, ErrorMessage:="Cannot have a negative number of products.")> _
    Public Property UnitsInStock As Int32

    <Display(Name:="Reorder Stock")> _
    Public Property ReorderLevel As Int32

    <Display(Name:="Discontinued")> _
    Public Property Discontinued As Boolean

    <Association("Product_Category", "CategoryID", "CategoryID", IsForeignKey:=True)> _
    <Display(Name:="Category")> _
    Public Property Category As ProductCategory
End Class