' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

Imports System.ComponentModel.DataAnnotations
Imports System.ComponentModel

Public Class ProductCategory

    <[ReadOnly](True)> _
    <Key()> _
    <Display(Name:="Category ID")> _
    <ScaffoldColumn(False)> _
    Public Property CategoryID As Guid

    <StringLength(255)> _
    <Required()> _
    <Display(Name:="Category Name")> _
    Public Property CategoryName As String

    <Display(Name:="Description")> _
    Public Property Description As String

    <Association("Product_Category", "CategoryID", "CategoryID", IsForeignKey:=False)> _
    Public Property Products As ICollection(Of Product)


End Class